#define GLH_EXT_SINGLE_FILE
#ifndef WIN32
#define WIN32
#endif
#include "gl_extensions.h"
//#include "glh_extensions.h"

// extreme OpenGL
#ifdef GL_ARB_vertex_buffer_object
#define USE_VERTEX_BUFFER_OBJECT
PFNGLBUFFERDATAARBPROC glBufferDataARB;
PFNGLBINDBUFFERARBPROC glBindBufferARB;
#endif

#ifdef GL_EXT_blend_func_separate
PFNGLBLENDFUNCSEPARATEPROC glBlendFuncSeparate;
#else
#error glBlendFuncSeparate not supported, sorry.
#endif

PFNGLBLENDEQUATIONPROC glBlendEquation;

//#include <iostream>

void init_GL_extensions()
{
#ifdef GL_ARB_vertex_buffer_object
	glBufferDataARB = 
		(PFNGLBUFFERDATAARBPROC) wglGetProcAddress("glBufferDataARB");
	glBindBufferARB = 
		(PFNGLBINDBUFFERARBPROC) wglGetProcAddress("glBindBufferARB");
#endif
#ifdef GL_EXT_blend_func_separate
	glBlendFuncSeparate = 
		(PFNGLBLENDFUNCSEPARATEPROC) wglGetProcAddress("glBlendFuncSeparate");
#endif
	glBlendEquation = 
		(PFNGLBLENDEQUATIONPROC) wglGetProcAddress("glBlendEquation");

/*
	std::cout << "OpenGL extensions: " << glGetString(GL_EXTENSIONS) 
		      << std::endl;
*/

//	glh_init_extensions("GL_NV_texture_rectangle GL_ARB_depth_texture");
}